Opened 6 years ago

Closed 3 years ago

Last modified 3 years ago

#1629 closed Task (worksforme)

Documentation of v3.6 STABLE

Reported by: gm Owned by: systeam
Priority: normal Milestone: Documentation
Component: doc Version: release-3.6
Severity: minor Keywords: doc
Cc:

Description (last modified by nemo)

The documentation of the v3.6_STABLE is out-of-date.

This concern both "the ocean engine" and LIM3.

Developers should check that :

  • all the namelist variables are explained in the DOC, and are referenced in the doc index 
  • all new or updated part of the code are explained in the documentation.  

Please indicate in the associated WIKI page (see below) which part you take in charge

N.B. I will make a first commit today to update all the namelist of the documentation, together with the addition of a script that allows an easy update of those namelist (thanks to françoise Pinsard)

———

associated branch:  release-3.6 

associated wiki page: ​ticket/1629_v3.6_stable_DOC

Commit History (7)

ChangesetAuthorTimeChangeLog
6851gm2016-08-08T10:34:39+02:00

#1629: SIMPLIF_1: S-EOS + DOC and phasing with trunk rev6826

6850gm2016-08-08T10:33:25+02:00

#1629: SIMPLIF_1: S-EOS + DOC and phasing with trunk rev6826

6322gm2016-02-18T08:38:04+01:00

#1629: DOC of v3.6_stable : update the introduction and Qsr, add new tidal mixing param.

6318flavoni2016-02-15T17:13:41+01:00

update bulk core documentation for 3_6_STABLE, see ticket #1629

6275gm2016-02-01T03:35:04+01:00

#1629: DOC of v3.6_stable. Upadate, see associated wiki page for description

6039gm2015-12-12T15:13:32+01:00

#1629: DOC of v3.6_stable : update EOS presentation

5890gm2015-11-16T13:54:03+01:00

#1629 - v3.6 stable DOC : update DOC/Namelist + addition of a script (see wiki page)

Change History (8)

comment:1 Changed 6 years ago by timgraham

Can anyone tell me how namelists that are required by tools should be included in the documentation?

Gurvan's commit (r5890) removed nam_dmp_create. This is used by DMP_TOOLS for creating input files containing restoration coefficients amd is referred to in the Tracers chapter.

comment:2 Changed 4 years ago by clevy

  • Owner changed from nemo to all
  • Type changed from Defect to Task

comment:3 Changed 4 years ago by nicolasmartin

  • Cc systeam added
  • Description modified (diff)
  • Milestone set to Documentation

comment:4 Changed 4 years ago by nemo

  • Owner changed from all to systeam
  • Severity set to minor
  • Status changed from new to assigned

comment:5 Changed 4 years ago by nemo

  • Cc systeam removed

comment:6 Changed 4 years ago by nemo

  • Description modified (diff)

comment:7 Changed 3 years ago by nicolasmartin

  • Keywords doc added
  • Resolution set to worksforme
  • Status changed from assigned to closed

Based on the follow-up wiki page, one can consider the work have been on the reference manual v3.6.
Now regarding sea-ice documentation, LIM3 has since been replaced by SI3 and ticket #1494 previously on the LIM3 doc writing has been modified to publish a proper manual for SI3.

After Gurvan's feedback, a new ticket will be created to focus on the content to create or update with NEMO 4.0 in all systems (latex source files, wiki and website).

Last edited 3 years ago by nicolasmartin (previous) (diff)

comment:8 Changed 3 years ago by nemo

  • Component changed from OCE to doc
Note: See TracTickets for help on using tickets.